DSSSL Library Reference: Part of the Modular DocBook Stylesheet distribution
Prev |  | Next

# normalize

## Name

normalize -- Normalize the str according to the SGML declaration in effect

## Synopsis

    (normalize str)

## Description

Performs SGML general name normalization on the string; used to compare attribute names and generic identifiers correctly according to the SGML declaration in effect; this is necessary since XML is case-sensitive but the reference concrete syntax and many SGML DTDs are not.

## Author

Chris Maden

## Source Code

    (define (normalize str)
      ;; Normalize the str according to the SGML declaration in effect
      (if (string? str)
          (general-name-normalize str
    			      (current-node))
          str))

Prev | Home | Next
length-string-unit-part | Up | node-list->string